summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautomated/linux/openssh/openssh-debian.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/automated/linux/openssh/openssh-debian.sh b/automated/linux/openssh/openssh-debian.sh
index 597f6bf..8a031ec 100755
--- a/automated/linux/openssh/openssh-debian.sh
+++ b/automated/linux/openssh/openssh-debian.sh
@@ -1,11 +1,17 @@
#!/bin/sh
+# shellcheck disable=SC1091
. ../../lib/sh-test-lib
OUTPUT="$(pwd)/output"
RESULT_FILE="${OUTPUT}/result.txt"
RESULT_LOG="${OUTPUT}/result_log.txt"
TEST_LOG="${OUTPUT}/test_log.txt"
+usage() {
+ echo "Usage: $0 [-s <true|false>]" 1>&2
+ exit 1
+}
+
parse_output() {
egrep "^failed|^ok" "${TEST_LOG}" 2>&1 | tee -a "${RESULT_LOG}"
sed -i -e 's/ok/pass/g' "${RESULT_LOG}"